Figure - 0 O Dev #110739
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O FwO O SettingsD O TC-RID: 1201-02018010
2022-07-25 20:03 - CD FW-0 O

Status: 000 InProgress Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDFW-0O 0O % Done: 30%
Category: Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_update_20221130

Description

mJ0don0:

O00O00O0OOsettingDOOO0O
0000 DO Settings treed 0 O O

m JOURLODODO
m [ 0Ocased 00O
e 00000000 0O0OOOOOO

History

#1 - 2022-08-04 19:44 - CD FW-0O O
- Subject changed from 0 MKO O 0180 O SettingsC] O TC-RID: 0301-02018010 to O MKO O 0180 O Settings™ O TC-RID: 1201-02018010

#2 - 2022-08-05 11:36 - CD FW-0O O
- Assignee changed from CD FW-0 0 to CD AF-0 0 O

#3 - 2022-09-08 08:33 - CD FW-0O O
- Subject changed from O MKO O 0180 O SettingsC) O TC-RID: 1201-02018010 to 0 MKO O FWO O SettingsC O TC-RID: 1201-02018010

#4 - 2022-09-26 20:14 - CD FW-0 O

- Status changed from New to O O O In Progress

- Target version set to VX1_MCE_FSE_V3.0_update_20221130
- % Done changed from 0 to 30

#5 - 2022-11-28 18:00 - CD FW-O O
- Assignee changed from CD AF-0 O O to CD FW-O O

#6 - 2022-12-07 13:58 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
168021 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Ul Adapter(Second commit). TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 105dc09b10bf04b6345bc2f1cab52501c45ec3932

#7 - 2022-12-09 09:53 - 10T scm

Gerrit Merge Information(]
1D Project Branch Uploader

168809 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

gs -dev

AF:Settings: Ul Adapter(Append commit). TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: 16f3b1768bdcffch565d42974a6bcOebd6e78dach

#8 - 2022-12-1511:32 - loT scm
Gerrit Merge Information(

1D Project Branch Uploader
170440 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
gs -dev

AF:Settings:Screen default option changeTC-RID: 1201-02018061ssuel D: TS-R-DF-110739Change-1d: 1af06fea4658b09a020904586e33a4454573a31ba

#9 - 2022-12-1517:09 - 0T scm

Gerrit Merge Informationd

1D Project Branch Uploader
169994 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | tao.liao@thundersoft.com
-dev

AF:Settings: Ul Adapter(Append commit). TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: 10054e1lec1b57¢103636fh4864d3e29023986¢5¢cC

#10 - 2022-12-1517:09 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
169993 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Ul Adapter(Append commit). TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 10d6e005ffd95b54b01alcf1b393del1ff848787ee

#11 - 2022-12-19 13:33 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
170792 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Ul Adapter(Append commit). TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: Idc1f22d189e67ca0e2890136fb10eb1c259e3a95
#12 - 2022-12-22 17:27 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

171651

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:PermissionController: Add permission function to settings. TC-RID: 1201-0201814lssuelD: TS-R-DF-110739Change-Id:
13db098192e891684977e5bd17072addf5fa78bd7

#13 - 2022-12-22 17:29 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

171650

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Add permission function to settings. TC-RID: 1201-02018141ssuel D: TS-R-DF-110739Change-1d: 1428a719317076335fa182d8e106ff8f0ed4d0042

#14 - 2022-12-22 17:29 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

171649

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:FrameworkBase: Add permission function to settings. TC-RID: 1201-0201814Issuel D: TS-R-DF-110739Change-Id:
108b0d720d74be22889b7bf12826d25df62b23135

#15 - 2022-12-22 20:23 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

142285

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop: crop top levell.settings top level crop,delete battery, AccessibilityC] wallpaper Location information(] Safety and first aid situations
0 Account number and passwordTC-RID: 1201-0201801Issuel D: TS-R-DF-110739Change-1d: 1e67de1060456aeb031941085¢efcac2f532a32586

#16 - 2022-12-22 20:23- CDFwW-0 O

Gerrit Merge Information(]

2025-07-03
1D

Project

Branch

Uploader

142329

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:Settings crop: crop networkX.settings Network&Internet cropd delete Mobile networks(]  Airplane mode[d Data saving program(] Mobile phone
planTC-RID: 1201-0201801Issuel D: TS-R-DF-110739Change-Id: 199927efcfc1fdddd98cdcech46aald5821730fd6

#17 - 2022-12-22 20:23 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

142416

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings:applicationl.delete battery2.change String "0 0 O O "to "0 O O O " 3.change String "0 0 0 O O WLAN"to"O O O O " TC-RID:
1201-0201801Issuel D: TS-R-DF-110739Change-1d: 1e47451754d2512594d346af1795b42799dd7c0d8

#18 - 2022-12-22 20:23 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

142440

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings crop:notifications cropl.delete lock_screen_notifications, lock_screen_redact, app_and_notif_cell_broadcast_settings,
zen_mode_people_callsTC-RID: 1201-02018011IssuelD: TS-R-DF-110739Change-1d: 19b6¢2f920b2213a52467932fcc9c9961821ab0ef

#19 - 2022-12-22 20:23 - CD Fw-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

142495

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

2025-07-03

AF:Settings crop: crop volumel.delete call_volume, phone_ringtone, vibrate_for_calls, gesture_prevent_ringing_sound, dial_pad_tones, screen_locking_sounds,

4/68




charging_sounds, docking_sounds, vibrate_on_touchTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d:
1934cf6ff388aa0052634965¢7hd5a3391d53582

#20 - 2022-12-22 20:23 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
142705 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/overlay -dev

AF:Settings crop: crop network MobileNetwork1.framework overlay config add "config_mobile_data_capable" TC-RID: 1201-0201801IssuelD:
TS-R-DF-110739Change-1d: 1b6188ec2e9e6dc069c147496994f187125273780

#21 - 2022-12-22 20:23 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
142751 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/overlay -dev

AF:Settings crop: crop volumel.frameworke overlay add "config_volumeHushGestureEnabled" and "config_voice_capable” to delect ringtone about. TC-RID:
1201-0201801IssuelD: TS-R-DF-110739Change-1d: 1da612335c38b43241c9e281901af94d8ec052f4a

#22 - 2022-12-22 20:23 - CD Fw-O O
Gerrit Merge Information(]

1D Project Branch Uploader
142763 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
gs -dev

AF:Settings crop: crop displayl.delete screen_timeout, display_settings_screen_zoomTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d:
127e7f05b8e5040c24e6b29e2826a8439a8560082

#23 - 2022-12-22 20:24 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
143018 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
gs -dev
AF:Settings crop: crop SecuritySettings1.delete unlock_set_or_change, fingerprint_settings, screen_pinning_settings(]

encryption_and_credentials_encryption_status, credentials_reset, certificate_management_app2.ManageTrustAgentsPreferenceController don't set LockPattern
can be useTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-Id: 1306fc4bb27aee3f04b5722b7721a5cd8eb064162

#24 - 2022-12-22 20:24 - CD Fw-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

143027

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings crop: crop privacyl.delete privacy lock_screen_notificationsTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-I1d:
1e232fc73ac34682da60c15383cfd1462df6035a

#25 - 2022-12-22 20:24 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

143223

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

FW:Settings: Set Default language as chineseSet Default language as chineseTC-RID: 1201-02018011ssuelD: TS-R-DF-110739Change-Id:
12aff19a885322aad2e179457e267dbc67af84e21

#26 - 2022-12-22 20:24 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

143360

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:Settings crop: crop system1.delete reset_dashboard.erase_euicc_dataTC-RID:
1e98f33e0be00bf77e4211c872¢28543d720e7067

1201-0201801Issuel D: TS-R-DF-110739Change-Id:

#27 - 2022-12-22 20:25 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

143550

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangwei0629@thundersoft.com

2025-07-03
FW:Settings: Set Default language as chineseSet Default language as chineseTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-Id:
1ec730457f20580dd2050chce92h2a84¢15519369

#28 - 2022-12-22 20:25 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
143551 general/platform/build Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
-dev

FW:Settings: Set Default language as chineseSet Default language as chineseTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-Id:
19e944eebbab52f9857d219b572d7140b02d6604e

#29 - 2022-12-22 20:25 - CD Fw-0 O

Gerrit Merge Information(

1D Project Branch Uploader
143639 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
gs -dev

AF:Settings crop: crop system1.delete gesture_double_tap_power_input_summary, gesture_power_menu_summaryChange-Id:
1d70756d747b513b9e06a643659d412017bef0e9c TC-RID: 1201-0201801Issuel D: TS-R-DF-110739

#30 - 2022-12-22 20:26 - CD FwW-0 O
Gerrit Merge Information(]

1D Project Branch Uploader
144144 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
gs -dev

FW:Settings: Fix the crash of developmentFix the crash of developmentTC-RID: 1201-0201710IssuelD: TS-R-DF-110739Change-Id:
15ec62bfe0b01f36584b4cc7a0c923800549e4f4c

#31 - 2022-12-22 20:26 - CD FwW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
144146 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-qssi12 | wangwei0629@thundersoft.com
gs -dev
FW:Settings: Fix the crash of developmentFix the crash of developmentTC-RID: 1201-0201710IssuelD: TS-R-DF-110739Change-Id:
1f58f6d1eaaf376a7f3ef628605485a3d6578514a

#32 - 2022-12-22 20:26 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

144157

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop:crop about devicesl.delect model_infoTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d:
15ff9519b066c9d55¢79b1b8b715b0bd05c5a71df

#33 - 2022-12-22 20:26 - CDFW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

144453

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop:Disable search batteryl.cant search about batteryTC-RID: 1201-02018011ssuelD: TS-R-DF-110739Change-1d:
17f4b4afeff4829490ale2a40ac29fea25ebbddec

#34 - 2022-12-22 20:26 - CD FwW-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

144494

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop:Disable search top some thingl.cant search ic_settings_accounts, top_level_emergency, top_level_locationTC-RID: 1201-0201801IssuelD:
TS-R-DF-110739Change-Id: 14c374e39dc393804c50597h66a82d83cf2e3ed8

#35 - 2022-12-22 20:27 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

144777

general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangwei0629@thundersoft.com

2025-07-03

AF:Settings crop:crop display auto_rotatel.delete auto_rotateTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d:

8/68




|daff64ba61fc7e84d8042c405d4fleel52ff8ald

#36 - 2022-12-22 20:27 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

144888

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop:Disable search wallpapaerl.cant search wallpaperTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-Id:
1beb93468c7¢2142dc92972d70e24c27df9e5cfea

#37 - 2022-12-22 20:27 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

144897

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

AF:Settings:Config default timezonedefault timezoneTC-RID: 1201-0201810lIssuel D: TS-R-DF-110739Change-1d:
1f7b0b841882a758873ea90b4c4a56e6215d7e3el

#38 - 2022-12-22 20:27 - CD FW-00 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

144927

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings crop:crop system.backupl.crop system.backupTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-Id:
12de16d3ad0233a3bc7d7099f3c64a99f83135b64

#39 - 2022-12-22 20:27 - CD FwW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

145158

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings crop:remove privace privacy_work_profile_notifications_categoryl.crop privacy_work_profile_notifications_categoryTC-RID: 1201-0201801IssuelD:
TS-R-DF-110739Change-Id: 14ch13dalc6bchc12e82d7adafd3c14ca8cfd9357

2025-07-03
#40 - 2022-12-22 20:33 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

149822

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Modify Setting Ul11.Modify Settings Split screen weight2.Add title collapsing effect3.Modify Settings search bar layout4.Modify Settings Layout
paddingsTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d: 14c2430199¢47fb791f86¢c615fbleb3cc7ae1836f

#41 - 2022-12-22 20:35 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

150811

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix BUGL.Fix cannot enter development modeTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d:
1240f441936087d668a17fbe9856f3577afdb6d84

#42 - 2022-12-22 20:44 - CD FwW-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

156151

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Remove three-button navigationRemove three-button navigationTC-RID: 1201-0201809Issuel D: TS-R-DF-110739Change-I1d:
1694b4554ea217e20fe77610738626505b7a2318b

#43 - 2022-12-22 20:53 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

163227

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Remove items not usage. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 15642ae7194e4724f7d2525ce168dd3aal2a5783c¢

2025-07-03
#44 - 2022-12-22 20:53 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

163313

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Set default auto_time and auto_time_zone false. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
14a6402930b48a3d2ad64bb2c0fdb083ab8fel1a3

#45 - 2022-12-22 20:54 - CD FwW-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

165081

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix lose navigation on ConfigureWifiEntryFragment page. TC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-Id:
1247f8f60009c562191682965e2fh2226895d4169

#46 - 2022-12-23 19:28 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

172037

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Perfect permission function. TC-RID: 1201-0201814IssuelD: TS-R-DF-110739Change-1d: 190d576d324e79ae2b74c38b621f02142336e8c8¢c

#A4T - 2022-12-23 19:28 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

172038

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:PermissionController: Adapter for settings. TC-RID: 1201-0201814lssuelD: TS-R-DF-110739Change-Id: 142444be215fddf7fb787c9404b7428fb5e6f65aa

#48 - 2023-01-05 13:59 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

174093

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

11/68




AF:Settings: Apapter application device admin page. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739Change-1d: 12fab06105c595dald6a5df1862b06bdacf2c441d

#49 - 2023-01-05 13:59 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
174102 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | tao.liao@thundersoft.com
-dev

AF:SettingsLib: Ul Adapter(Addition commit). TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 11d59dd608be4adOae2242cacad1e97fef870e9ba

#50 - 2023-01-05 13:59 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
174097 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Ul Adapter(Addition commit). TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 1e2f57932259b5e1fd78329f4d45fbe75f92474d

#51 - 2023-01-11 15:17 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
175766 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
gs -dev

AF:Settings: Crop some item1.Prepare to crop system - date time2.Crop device - mac address3.Crop securityTC-RID: 1201-0201813IssuelD:
TS-R-DF-110739Change-1d: 1fd43517a7dd83d33a608db6fa5d4f619d001e017

#52 - 2023-01-11 15:43 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
175824 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: Changing the device model nameTC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: lad7e191be935929d2c8bce8cfeeabd059678b92b

#53 - 2023-01-11 15:43 - loT scm

Gerrit Merge Information(]

2025-07-03 12/68



1D

Project

Branch

Uploader

175823

general/platform/packages/modules/
Wifi

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

caoqg0702@thundersoft.com

AF:Settings: Change the default hotspot name of the deviceTC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d:
1eb09bc593af37946¢7b39abfaa6361a098d850c3

#54 - 2023-01-11 15:43 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

175821

general/platform/vendor/gcom-opens

ource/bluetooth-commonsys-intf

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Changing the device Bluetooth nameTC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: 1709237ffcf3852d1762518ddb7ae6c0500095ffc

#55 - 2023-01-11 15:43 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

175818

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

AF:Settings: Changing the device nameTC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id: 1c0d1e329846f727bf9a93706a7e2171f8ae6c087

#56 - 2023-01-29 18:11 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

177994

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Set global disable alpha value. TC-RID: 1201-0201813lssuelD: TS-R-DF-110739Change-Id: 1be76ffc47d87a0f8ef273c3b063e98e5b5e2ff66

#57 - 2023-01-29 18:12 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

177977

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Add action button disable color. TC-RID: 1201-0201813IssuelD; TS-R-DF-110739Change-Id: lcceh92da0389¢c62¢910939600cbcd7dcfd0ff3e2

2025-07-03

13/68




#58 - 2023-02-20 19:34 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
182915 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:Settings: add model type interfaceTC-RID: 1201-0201810lIssuel D: TS-R-DF-110739Change-1d: 121bb5035497¢7329fc0ad21c24d3b0dcd16e20c8

#59 - 2023-02-20 19:34 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
182649 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: add model info labelVX1:HiPhi XVVC1:HiPhi YTC-RID: 1201-0201810lIssuelD: TS-R-DF-110739Change-1d:
10b4bfb15f865ddc01a29450b8b875fae5e2d25dd

#60 - 2023-02-24 13:46 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
183824 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gsIntelligence -dev

AF:Settingsintelligence: Modify color value. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id: 1de3397dc98fc95f95b7493f367adc7d99445a07a

#61 - 2023-02-24 13:46 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
183823 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | tao.liao@thundersoft.com
-dev

AF:Packagelnstaller: Modify color value. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 17edaa9db04dd1fb5b71f6457020084065f1b22ea

#62 - 2023-02-24 13:46 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
183931 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

2025-07-03 14/68




AF:Settings: Adapter new Ul style. TC-RID: 1201-0201813lssuel D: TS-R-DF-110739Change-1d: 12b0922c2b08497a42e193e34cacbc02c93dcladl

#63 - 2023-02-28 21:07 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

184924

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

AF:Settings: Add wallpaper setting and reset wallpaper functionTC-RID: 1201-0201806lssuelD: TS-R-DF-110739Change-1d:
1a104137d0ee10daf03da5d8c1fa65ef7053c4f41

#64 - 2023-03-10 20:41 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

186919

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

caoqg0702@thundersoft.com

AF:Settings: Delete date setting and reset setting.Display date settings and reset setting in engineer mode onlyTC-RID: 1201-0201809IssuelD:
TS-R-DF-110739Change-Id: 1bcfc734c871e512099be3420a033a3bcd76077¢2

#65 - 2023-03-14 19:47 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

187320

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Adapter VC1 Settings UI.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 16b99¢161ab5959942f84f0d26934819af4dad6e

#66 - 2023-03-14 19:47 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

186598

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Adapter VC1 Settings UL.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: I1che8887d8d7a6402d95d8cf07532579307697fdd

#67 - 2023-03-1516:14 - loT scm

Gerrit Merge Information(]

2025-07-03

15/68




1D

Project

Branch

Uploader

187697

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Fix main switch and page callback problem.1. Fix main switch status problem;2. Fix fragment lifecycle onResume and onPause callback
problem; TC-RID: 1201-0201813lssuel D: TS-R-DF-110739Change-Id: 18c2878686df3e60b855a50396b2b77601888d74f

#68 - 2023-03-17 18:18 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

188265

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Adapter Settings developer settings Ul and fix crash problem. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d:
1d81a4a9d2a84b9a25a3e915b3230alb2b2aaccef

#69 - 2023-03-21 19:22 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

188861

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Add margin top for Settings title header. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 11573d9ac008caaa30e56f11f2de90c01503be0b0

#70 - 2023-04-03 16:25 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

191602

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Engineer mode allows setting the languageTC-RID: 1201-02018091ssuel D: TS-R-DF-110739Change-1d:
1a810e09211dcb16a69cac517967alf0fd64e719

#71 - 2023-04-04 15:22 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

191725

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

16/68




AF:Settings: Modify item background ripple effect color. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d:
18f47e7e38d350714e4fh5d5ea345b4b6f09bc5e3

#72 - 2023-04-07 17:38 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

192427

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Clip preference and search which unused. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d:
1e22¢74294dff58568921b4dd7b5b99chche16472

#73 - 2023-04-07 17:38 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

192428

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Clip preference and search which unused. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
131e4e6260af263ab709¢c42c035f3ba88107d7b84

#74 - 2023-04-19 19:03 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

194750

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Modify gesture animation. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 1f6f9d1lec32fc11a81ba8b72c263723f8c2e69d9d

#75 - 2023-04-19 19:03 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

194749

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Modify gesture animation. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: le3ed9b30fc5930c83falaf6da58930434949e93a

#76 - 2023-04-20 11:15 - loT scm

Gerrit Merge Information(]

2025-07-03

17/68




1D

Project

Branch

Uploader

194892

general/platform/packages/apps/Settin

gsIntelligence

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settingsintelligence: Modify item background ripple effect color. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d:
174f19d9a8347d039fe6bcee28d472a4fdc52d19a

#77 - 2023-04-24 17:02 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

195881

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Add default wallpaper set function. TC-RID: 1201-0201813lssuel D: TS-R-DF-110739Change-1d: 1046efd91d082626d295880e0aa2eb585cdb3adec

#78 - 2023-04-25 10:41 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

195985

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

tao.liao@thundersoft.com

-dev

AF:Settings: Disable permission in app info detail page. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d:
laea6a52ch3d8ba758377e533fd77ec4ef828dfe6

#19 - 2023-04-2510:42 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

195986

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

1c11e207861f4cd16a86a25a067c40afe54816alb

AF:Settings: Disable accessibility func and permission in app info detail page. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d:

#80 - 2023-04-25 11:14 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

196067

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

2025-07-03




AF:Settings: delete tether settingsTC-RID: 1201-02018011ssuelD: TS-R-DF-110739Change-Id: la5e3c0a2a1838e3373622d350425176c8876005f

#81 - 2023-04-27 09:53 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

196624

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Replace background resources. TC-RID: 1201-02018061ssuel D: TS-R-DF-110739Change-Id: 1491b798fcdff180b0al799bae7473d8423b3afde5

#82 - 2023-05-08 11:09 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

198144

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

caoqg0702@thundersoft.com

AF:Settings: Adjust the maximum number of lines displayed for Summary to two.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d:
16296b85b7365b1d63b8bf224b7d54b9750d670d8

#83 - 2023-05-15 21:46 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

200270

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

caoqg0702@thundersoft.com

AF:Settings: Delete trash item. TC-RID: 1201-0201804Issuel D: TS-R-DF-110739Change-Id: 155c4247cce4fcfe046f4blcafe07fade31d75a90

#84 - 2023-05-24 14:44 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

202250

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Remove bluetooth details profiles switch. TC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d: 1bcf6438a8dfbf67d983c0af4e7751c650027¢23b

#85 - 2023-05-30 21:12 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

203629

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

2025-07-03




AF:Settings: Adjust the point at which the screen goes dark before sleepTime 0 means no darkeningTC-RID: 1201-02018061ssuelD: TS-R-DF-110739Change-1d:
18e5b34a1254ab8f43a6280c03f6eae50chcfdOel

#86 - 2023-05-31 23:26 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

203905

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ca0qg0702@thundersoft.com

AF:Settings: add tether settingsThis reverts commit a2c585aef991e5d9dc71335190f764bc9cd3734e. TC-RID: 1201-0201801Issuel D: TS-R-DF-110739Change-I1d:
11081db06c85c2d96f13c63f0e72f11b4dd4a0765

#87 - 2023-06-08 21:11 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

205756

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Not show music and gallery app in app list. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739Change-Id:
Ifae12d57aa0b2d079bc7chf66e5cedfadlbbec2e

#88 - 2023-06-08 21:11 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

205757

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Not show music and gallery app in app list. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739Change-I1d:
1cce32929988f64602f31b3367bb2e9e74f8fe16e

#89 - 2023-06-19 19:12 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

208474

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

caoqg0702@thundersoft.com

AF:Settings: Delete storage space manager. TC-RID: 1201-0201804IssuelD: TS-R-DF-110739Change-Id: 15¢991fdff431dac18f87177de26a4he73f2c07f3

2025-07-03

20/68




#90 - 2023-06-20 17:21 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

208723

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:Settings: handle dim policy logicCancel the dim policy to udpate the brightness. TC-RID: 1201-02018061ssuel D: TS-R-DF-110739 ,
IOVDEV-34717Change-1d: leab58a4042bcdc03570234e36ef5cfa8dc88767a

#91 - 2023-06-20 19:49 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

208704

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

lei.zheng@thundersoft.com

FW:Settings: Hide the wifi switch in the SettingsTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d: le05a81f1d59fe155a7¢783647e3bd58449e16c89

#92 - 2023-06-20 22:13 - [oT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

208865

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Delete storage space manager. TC-RID: 1201-02018041ssuel D: TS-R-DF-110739Change-Id: 15c991fdff431dac18f87177de26a4be73f2c07f3(cherry
picked from commit 1f488654929235d902bca06a9feef9024b75144f)

#93 - 2023-06-20 22:14 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

208877

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: handle dim policy logicCancel the dim policy to udpate the brightness. TC-RID: 1201-02018061ssuel D: TS-R-DF-110739 ,
IOVDEV-34717Change-Id: leab58a4042hbcdc03570234e36ef5cfa8dc88767a(cherry picked from commit 5e90067d2d22860d45492bc6713275¢ch65d0e3e)

#94 - 2023-06-25 21:32 - IoT scm

2025-07-03

21/68




Gerrit Merge Information(

1D Project Branch Uploader
209207 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

FW:Settings: Hide the wifi switch in the SettingsTC-RID: 1201-0201801IssuelD: TS-R-DF-110739Change-1d:
1e05a81f1d59fe155a7¢783647e3bd58449e16c89(cherry picked from commit b636b0360c117a2ae74f6229a319bc9b141fbdc2)

#95 - 2023-06-26 19:23 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
209889 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Add log for setTargetFragment method in child class of PreferenceDialogFragmentCompat. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
I0VDEV-33967Change-Id: 10095fe0ef1a3b2335f76b2d045a5285b8ce578b3

#96 - 2023-06-26 19:23 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
209892 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

AF:Settings: Add log for setTargetFragment method in child class of PreferenceDialogFragmentCompat. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739,
IOVDEV-33967Change-1d: Ibc71ad0e473c3c2b012708c65calef6615156582

#97 - 2023-06-26 20:38 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
209970 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: Replace background resources. TC-RID: 1201-0201806lssuelD: TS-R-DF-110739Change-Id: laa3c8df6bf13d6fcf00b109e570eda68b2a419ef

#98 - 2023-06-26 20:41 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
209950 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

2025-07-03 22/68




AF:Settings: Add log for setTargetFragment method in child class of PreferenceDialogFragmentCompat. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
I0VDEV-33967Change-Id: 10095fe0efla3b2335f76b2d045a5285b8ce578b3(cherry picked from commit b937048ae49654a1c7788244f23daf331bf8bbb9)

#99 - 2023-06-26 20:42 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader

209951 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Settings: Add log for setTargetFragment method in child class of PreferenceDialogFragmentCompat. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
I0VDEV-33967Change-1d: Ibc71ad0e473c3c2b012708c65calef6615156582(cherry picked from commit 1530bd8e265fe2d0a018fc83fh9213eed3581676)

#100 - 2023-06-26 20:43 - 0T scm

Gerrit Merge Informationd

1D Project Branch Uploader
209953 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Replace background resources. TC-RID: 1201-0201806IssuelD: TS-R-DF-110739Change-1d: laa3c8df6bf13d6fcf00b109e570eda68b2a419ef(cherry
picked from commit 3b80145ed9754b217b127672ebf20fch4e515cad)

#101 - 2023-06-27 20:41 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
210612 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Sync to set wallpaper.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-36282Change-Id: 1f08a71ff6e85f975ae56104eb5f01e0008221411

#102 - 2023-06-27 20:42 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
210589 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Sync to set wallpaper. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36282Change-1d:

2025-07-03 23/68




108a71ff6e85f975ae56104eb5f01e0008221411(cherry picked from commit 4ce5f4e45cc8b3496a15a2473cealf0370023c4e)

#103 - 2023-06-27 22:06 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
210594 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -ftm_v0095

AF:Settings: Adjust the maximum number of lines displayed for Summary to two.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id:
16296b85h7365b1d63b8bf224h7d54b9750d670d8(cherry picked from commit 9ca7eb07471d5004322b7c8447d7b4bd9da62cd4)

#104 - 2023-06-29 14:45 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
210872 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil12 | tao.liao@thundersoft.com
-dev

AF:Settings: Fix OOM problem.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-33987Change-1d: 1b00c488a9a9¢128a85116c¢1e51ef07622abe9ad2

#105 - 2023-06-29 14:45 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
210870 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Fix OOM problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-33987Change-Id: lea0279604a4a165424087031ch8d76433d353068

#106 - 2023-06-29 20:19 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
211233 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | lukf0916@thundersoft.com
gs -dev

AF:Settings: Add new task flag when open location linkTC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-34999Change-Id:
16460345ec8h660b887fad6216e3174101cffff243

#107 - 2023-06-30 11:08 - 0T scm

Gerrit Merge Information(]

1D Project Branch Uploader

2025-07-03 24/68




211384 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

gs -dev

AF:Settings: Replace background resources. TC-RID: 1201-0201806lssuel D: TS-R-DF-110739Change-1d: 12a1e80ae586e8a746d896bf0cee34200e33430f8

#108 - 2023-06-30 16:46 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
211561 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Add new task flag when open location linkTC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-34999Change-Id:
16460345ec8b66b887fad6216e3174101cffff243(cherry picked from commit b4072c68d7c44e30d5a48cef9e41611ab07f93d6)

#109 - 2023-06-30 16:48 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
211564 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Replace background resources. TC-RID: 1201-0201806IssuelD: TS-R-DF-110739Change-Id: 12ale80ae586e8a746d896bf0cee34200e33430f8(cherry
picked from commit fd2c99c08b3fff6a2e5b3a76f207dccfde21aaff)

#110 - 2023-07-03 20:13 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
211223 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Fix ANR when get recent usage apps and load app row info. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-36010,
IOVISSUE-34165Change-1d: 17c7f555eeb643bd850442d26106a6adb902f5090

#111 - 2023-07-04 15:27 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
212099 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

2025-07-03 25/68




AF:Settings: Remove spell checkers entry. TC-RID: 1201-02018091ssuelD: TS-R-DF-110739, IOVDEV-36992Change-1d:
leec41c474ad997e7f71501db97b45fcOb7c4chbb2

#112 - 2023-07-06 19:32 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

212125

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Remove spell checkers entry. TC-RID: 1201-02018091ssuelD: TS-R-DF-110739, IOVDEV-36992Change-1d:
leec41c474ad997e7f71501db97b45fcOb7c4chb2(cherry picked from commit c44a9e5d4fe8f493e4f9460fe088eac81110e307)

#113 - 2023-07-10 10:18 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

213381

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix monkey test crash.1. java.lang.lllegalStateException: Target fragment must implement TargetFragment interface in
PreferenceDialogFragmentCompat.2. java.lang.NullPointerException. TC-RID: 1201-0201813lssuelD: TS-R-DF-110739, IOVDEV-33967Change-Id:
19d373c75a1bd1f90ab12d8fd4f435fd5b8707b9%a

#114 - 2023-07-10 10:18 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

213387

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Fix crash when disable app.TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-35258, IOVDEV-37489Change-I1d:
1b172d493356h6033b66979f1563eb728363cef0d

#115 - 2023-07-10 17:26 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

211637

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

26/68




AF:Settings: Fix OOM problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-33987Change-Id:
1b00c488a9a9c128a85116¢c1e51ef07622abe9ad2(cherry picked from commit chb15ddd09ca69a066f2c3ea0b3b9ea8fda70296)

#116 - 2023-07-10 17:26 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

211638

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix OOM problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-33987Change-Id:
1ea0279604a4a165424087031ch8d76433d353068(cherry picked from commit 06e362071d37a75f8a47b97bb2d1994dd06e3b4a)

#117 - 2023-07-10 17:27 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

212790

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix ANR when get recent usage apps and load app row info. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-36010,
IOVISSUE-34165Change-Id: 17¢c7f555eeb643bd850442026106a6adb902f5090(cherry picked from commit 1322¢47907dd99ddfaab5f70605ea7b0745ffeal)

#118 - 2023-07-11 20:20 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

214029

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Optimize volume control and mute icon status. TC-RID: 1201-0201805Issuel D: TS-R-DF-110739, IOVDEV-32779, IOVDEV-29691Change-I1d:
1ba0e9f0e4fc03899b5d053e436543bd562815f9f

#119 - 2023-07-11 20:20 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

214030

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Optimize volume control and mute icon status. TC-RID: 1201-0201805Issuel D: TS-R-DF-110739, IOVDEV-32779, IOVDEV-29691Change-1d:
12¢40863db103ae698bd5d0ab7ebe65f8ee143a91

2025-07-03

27/68




#120 - 2023-07-11 21:27 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

213994

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix crash when disable app.TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-35258, IOVDEV-37489Change-Id:
1h172d493356b6033b66979f1563eb728363cef0d(cherry picked from commit 975a7207c62bfacef4ceald7e69609d9716a76f86)

#121 - 2023-07-13 21:42 - 0T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

214534

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix monkey test crash.1. java.lang.lllegalStateException: Target fragment must implement TargetFragment interface in
PreferenceDialogFragmentCompat.2. java.lang.NullPointerException. TC-RID: 1201-0201813lssuelD: TS-R-DF-110739, IOVDEV-33967Change-Id:
19d373c75a1bd1f90ab12d8fd4f435fd5b8707h9a(cherry picked from commit c89bcefadb55b4b51b1647e044472ebb73051eaa)

#122 - 2023-07-13 21:49 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

214742

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Optimize volume control and mute icon status. TC-RID: 1201-0201805Issuel D: TS-R-DF-110739, IOVDEV-32779, IOVDEV-29691Change-I1d:
1ba0e9f0e4fc03899b5d053e436543bd562815f9f(cherry picked from commit 1c9fbfbf2174489d2a33bb4128h94cfed2490a5¢)

#123 - 2023-07-13 21:50 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

214743

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Optimize volume control and mute icon status. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-32779, IOVDEV-29691Change-I1d:
12¢40863db103ae698bd5d0ab7ebe65f8ee143a91(cherry picked from commit 61a135a9329ba912b499bd0938e5089deddf8c54)

2025-07-03

28/68




#124 - 2023-07-17 16:13 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

215280

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix settings navigation problem when app info changed. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-37421Change-Id:
1f3b51d7f6307584622b7f80ca74f33d2e159e4b6

#125 - 2023-07-18 14:12 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

215654

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix app usage page header display problem.TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-35911Change-Id:
1e737d4f8b179d48ad51a3c2e9ff8a2637015c606

#126 - 2023-07-18 20:48 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

215881

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Fix settings navigation problem when app info changed. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-37421Change-1d:
12ec46fd4fe8cf7f0935f9522728c67d7c2¢c1h921

#127 - 2023-07-19 23:53 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

216241

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix settings navigation problem when app info changed. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-37421Change-1d:
13b51d7f6307584622b7f80ca74f33d2e159e4b6(cherry picked from commit e0f7d48b0bde4690fe19f9eb262590262fdfecf7)

#128 - 2023-07-19 23:56 - 0T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03

29/68




216248 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

gs -release_sorp

AF:Settings: Fix settings navigation problem when app info changed. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-37421Change-1d:
12ec46fd4fe8cf7f0935f9522728c67d7c2c1h921(cherry picked from commit fAbdd23c9abc327354b9c5¢f299bc8d6e8elea23)

#129 - 2023-07-20 00:02 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
216250 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix app usage page header display problem.TC-RID: 1201-0201805Issuel D: TS-R-DF-110739, IOVDEV-35911Change-Id:
1e737d4f8b179d48ad51a3c2e9ff8a2637015c606(cherry picked from commit 323e9bc73bb02083c61ac48d746572ae7f26a926)

#130 - 2023-07-20 16:04 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
216104 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
-dev

AF:Settings: Limit MediaOutput Volume SeekBar post timeTC-RID: 1201-0201801Issuel D: TS-R-DF-110739, IOVISSUE-35966Change-Id:
1c7e087cebl1bc20841f1e7189697e576a8e57¢249

#131 - 2023-07-21 10:54 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
216424 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Fix ANR when listview has many notification history item.TC-RID: 1201-0201803IssuelD: TS-R-DF-110739, IOVDEV-34534Change-I1d:
Ic25a8e34a69aae219ba894ee37f2c58739ae8636

#132 - 2023-07-21 10:54 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
216446 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

2025-07-03 30/68




AF:Settings: Not show android keyboard app in app list. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-37278Change-Id:
16f698145350db0027deaa991cf6b0bede8f0f711

#133 - 2023-07-21 10:54 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
216448 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | tao.liao@thundersoft.com
-dev

AF:Settings: Not show android keyboard app in app list. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-37278Change-Id:
10c31d0adab752b92c612cd42af2dd18e3bc791dc

#134 - 2023-07-21 14:56 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
216645 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Add log for set default wallpaper. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36288Change-I1d:
114212bch5b331af3d7¢9424dd0f791281172¢ff9

#135 - 2023-07-21 16:04 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
216689 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Check quick click operation when navigate to search page. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-34403Change-1d:
18749f43290a73a198a126d93096c93e2f4eal5d1

#136 - 2023-07-21 16:05 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
216492 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | hong.wang_a@thundersoft.com
gs -dev

AF:Settings:default Settings dropping down will cause ghostingPrevent duplicate creation of fragmentsTC-RID: 1201-0201802IssuelD:
TS-R-DF-110739,I0VDEV-35901Change-1d: 15ac20a2888844b11c02c30f86dadef9694ba38dc

2025-07-03 31/68



#137 - 2023-07-21 17:54 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

216738

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:Settings:Invalid switch for by pass zen modeRemove preferenceTC-RID: 1201-0201801lssuel D: TS-R-DF-110739,I0VDEV-34258Change-Id:
1b6945d3a9d55c6d65c9de2066064eb5ea514299

#138 - 2023-07-24 13:57 - 0T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

217031

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Remove network preference in search.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: 1602ec7e069c5haa6c6abafb524d5dd25¢4f08d79

#139 - 2023-07-24 17:57 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

217183

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings: Modify System navigation to System operation guide. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-12953Change-Id:
17dbdcd074881b639dcf0edc15a6fb351860950d06

#140 - 2023-07-25 14:02 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

217350

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Optimize empty tip showing logical in PicturelnPicture page. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-38406Change-Id:
1d79eef8fh7f3698f2dc1dee8a335ab783e7a%le

#141 - 2023-07-25 17:20 - 0T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

217488

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

2025-07-03

32/68




AF:Settings: Fix monkey test crash - java.util.ConcurrentModificationException. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-38338Change-1d:

1375d3a0893f05d6d5038693be2ddd379ecdac6e9

#142 - 2023-07-25 17:59 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

217473

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wujun.wang@thundersoft.com

FW:Settings: fix settings can't backAdd logic to remove the root taskif false to finishself. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
I0VDEV-36491,I0VDEV-35470Change-Id: 174bc85409c51640a45d8192999790fc61bd437ab

#143 - 2023-07-27 13:46 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

218017

general/platform/packages/apps/Settin

gsIntelligence

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settingsintelligence: Adapter ContextPopupMenu style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36079Change-1d:
1e4972f21d830a8d8d825a%ee819eae2fdcleb73d

#144 - 2023-07-27 13:46 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

218018

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Adapter ContextPopupMenu style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36079Change-I1d:
1ca029e5e02bb89c2d470514962378e73f1c461be

#145 - 2023-07-27 23:41 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218207

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

33/68




AF:Settings: Optimize empty tip showing logical in PicturelnPicture page. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-38406Change-Id:
1d79eef8fh7f3698f2dc1dee8a335ab783e7a%le(cherry picked from commit d915bddae2c82dch0760108ba99e9b73ad22b9b3)

#146 - 2023-07-27 23:42 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

218211

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix monkey test crash - java.util. ConcurrentModificationException. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-38338Change-Id:
1375d320893f05d6d5038693be2ddd379ecdac6e9d(cherry picked from commit db9215ca21639d41c6f58374c9260e88582777fd)

#147 - 2023-07-27 23:42 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218214

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

FW:Settings: fix settings can't backAdd logic to remove the root taskif false to finishself. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739,
I0VDEV-36491,I0VDEV-35470Change-Id: 174bc85409¢51640a45d8192999790fc61bd437ab(cherry picked from commit
b49470147bf02b7b63052a2425ed48e7a212c81b)

#148 - 2023-07-27 23:45 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218245

general/platform/packages/apps/Settin

gsintelligence

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settingsintelligence: Adapter ContextPopupMenu style. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-36079Change-Id:
1e4972f21d830a8d8d825a9ee819eae2fdcleb73d(cherry picked from commit c68e935a330eac271321076001985e9¢1d862¢ef6)

#149 - 2023-07-27 23:46 - 0T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

218246

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

34/68




AF:Settings: Adapter ContextPopupMenu style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36079Change-1d:
1ca029e5e02bb89c2d470514962378e73f1c461be(cherry picked from commit 2051alc51671bcaeeaOc4ad1449cch449988093f)

#150 - 2023-07-27 23:47 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

218253 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Settings: Limit MediaOutput Volume SeekBar post timeTC-RID: 1201-0201801Issuel D: TS-R-DF-110739, IOVISSUE-35966Change-Id:
1c7e087ceblbc20841f1e7189697e576a8e57¢249(cherry picked from commit 90f0065dc2a56¢c9fea25ae1d1a2¢9773a0557989)

#151 - 2023-07-27 23:48 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
218255 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix ANR when listview has many notification history item.TC-RID: 1201-0201803IssuelD: TS-R-DF-110739, IOVDEV-34534Change-1d:
1c25a8e34a69aae219ba894ee37f2¢58739ae8636(cherry picked from commit 563868d419b65cfaefc9003f026165a8e94f0070)

#152 - 2023-07-27 23:48 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
218256 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Not show android keyboard app in app list. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-37278Change-1d:
1ef698145350db0027deaa991cf6b0bede8f0f711(cherry picked from commit af88ea07a862eale4ad6734488f330aflcad92a2)

#153 - 2023-07-27 23:48 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader

218257 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

2025-07-03 35/68




AF:Settings: Not show android keyboard app in app list. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-37278Change-Id:
10c31d0adab752b92c612cd42af2dd18e3bc791dc(cherry picked from commit 958e000feef5ead5f553361ce88a3d60dbf7hle5)

#154 - 2023-07-27 23:48 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

218260

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Add log for set default wallpaper. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36288Change-1d:
114212bch5b331af3d7¢9424dd0f791281172eff9(cherry picked from commit 7eb4bb781bd5451a79d51189b45ca34a8a89a4ca)

#155 - 2023-07-27 23:49 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218301

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Check quick click operation when navigate to search page. TC-RID: 1201-0201813lssuelD: TS-R-DF-110739, IOVDEV-34403Change-1d:
18749f43a90a73a198a126d93096¢93e2f4eal5d1(cherry picked from commit 1a953da655af67a9e7380228f9aa776cc5d1bf19)

#156 - 2023-07-27 23:49 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

218302

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings:default Settings dropping down will cause ghostingPrevent duplicate creation of fragmentsTC-RID: 1201-0201802IssuelD:
TS-R-DF-110739,I0VDEV-35901Change-Id: 15ac20a2888844b11c02c30f86dadef9694ba38dc(cherry picked from commit
3d853c82¢c47277f97¢92390fc923ddc261d0aa3d)

#157 - 2023-07-27 23:49 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218304

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

36/68




AF:Settings:Invalid switch for by pass zen modeRemove preferenceTC-RID: 1201-0201801lssuel D: TS-R-DF-110739,I0VDEV-34258Change-1d:
1h6945d3a9d55c6d65c9de206f6064eb5eab14299(cherry picked from commit 6ee420682610f5e6c6550a95a5ac0c341c3af77d)

#158 - 2023-07-27 23:51 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

218309

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Remove network preference in search. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d:
1602ec7e069c5baabebabafh524d5dd25¢4f08d79(cherry picked from commit 3a28daf315¢12e6f4c28f1d1d25d344f3e8cac9l)

#159 - 2023-07-27 23:52 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218312

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Modify System navigation to System operation guide. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-12953Change-Id:
17dbdcd074881b639dcf0edc15a6fb35186b95d06(cherry picked from commit 98a685936465d5562d5f085927e8f4f8162486dd)

#160 - 2023-07-28 16:33 - 0T scm

Gerrit Merge Information(]

ID

Project

Branch

Uploader

218435

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Remove learn more link of app launcher and location settings.Optimize app link load progress dialog. TC-RID: 1201-0201813Issuel D:
TS-R-DF-110739, IOVDEV-25544Change-1d: 1211df2297c095609ba48d9ab3eae01d043b65e9b

#161 - 2023-07-31 18:45 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

218948

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

AF:Settings: Fix negative minutes in recent usage apps list. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-37429Change-Id:

37/68




1ff66bbc6c8c3bbe78ccab0c4bc129bf5e5945¢16

#162 - 2023-07-31 19:19 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

219013

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Optimize style of permission action preference in storage settings page. TC-RID: 1201-02018021ssuelD: TS-R-DF-110739, IOVDEV-37867Change-1d:
16eb63dd21e02d902869718871926695239¢60700

#163 - 2023-08-01 18:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

219169

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix usage stats time change problem.TC-RID: 1201-02018021ssuelD: TS-R-DF-110739, IOVDEV-37436Change-Id:
1e0175a97¢37b6ffcd68a991c2ae2936beabe15b3

#164 - 2023-08-01 19:57 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

219343

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Fix NullPointerException when restore MyAlertDialogFragment. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-38826Change-1d:
15db1b6ec0f803eca7bf0ch0532eb26faaea52d87

#165 - 2023-08-01 22:17 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

219404

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Remove learn more link of app launcher and location settings.Optimize app link load progress dialog. TC-RID: 1201-0201813IssuelD:
TS-R-DF-110739, IOVDEV-25544Change-Id: 1211df2297c095609ba48d9ab3eae01d043b65e9b(cherry picked from commit
5be475904e577e6d67d2be16851492c04a22863a)

2025-07-03




#166 - 2023-08-01 22:23 - 0T scm

Gerrit Merge Information(

1D Project Branch Uploader
219410 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Optimize style of permission action preference in storage settings page. TC-RID: 1201-02018021ssuelD: TS-R-DF-110739, IOVDEV-37867Change-1d:
16eb63dd21e02d902869718871926695a39e60700(cherry picked from commit cd6a049612cf9728aa01cfa36fa5757f3c79d2fb)

#167 - 2023-08-01 22:24 - |oT scm
Gerrit Merge Information(

1D Project Branch Uploader
219411 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix negative minutes in recent usage apps list. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-37429Change-1d:
1ff66bbc6c8c3bbe78ccab0c4be129bf5e5945¢16(cherry picked from commit b05473¢8723082d2e5943bc8fb3432df7¢338891)

#168 - 2023-08-03 16:04 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
144217 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: delete battery itemTC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-36205Change-1d: 1aa8aba5f415635459a515dd5f28070d93280b7820

#169 - 2023-08-03 16:55 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
219469 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Optimize check logical of MyAlertDialogFragment. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-38826Change-Id:
11f000762c51bb66a8bfdb8al35495888b80e455¢

#170 - 2023-08-03 16:55 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

219509 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

2025-07-03 39/68




gsintelligence

-dev

AF:Settingsintelligence: Fix status bar and navigation bar style problem.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-34488Change-1d:
14b76f8c59e75b3db6a7372492d4cf8bf136a6d02

#171 - 2023-08-04 10:08 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

300122

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix usage stats time change problem.TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-37436Change-Id:
1e0175a97¢37h6ffcd68a991c2ae2936beabe15b3(cherry picked from commit 8e9eadf8h98cef85fh37e2a6abead519bffa3398)

#172 - 2023-08-04 10:09 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

300123

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix NullPointerException when restore MyAlertDialogFragment. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-38826Change-1d:
15db1h6ec0f803eca7bfOch0532eb26faaea52d87(cherry picked from commit 999456dca06e5a85d1f57baf7e0b8c73f341735f)

#173 - 2023-08-04 10:23 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

300135

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Optimize check logical of MyAlertDialogFragment. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-38826Change-Id:
11f000762c51bb66a8bfdb8al135495888h80e455¢(cherry picked from commit 4da8cf6985d14cc4b8fd924e6becObl3efd7fe86)

#174 - 2023-08-10 16:25 - 0T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

302272

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

40/68




AF:Settings: Fix StorageltemPreferenceController NullPointerException. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-39441Change-1d:
11067ed9849b20621bc31ba006c314efead9c65d6

#175 - 2023-08-10 19:31 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
302400 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Fix PreferenceDialogFragmentCompat lllegalStateException. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-39442Change-1d:
10415d531d9e76a92a7f7fa314c55a79a451e84e5

#176 - 2023-08-10 20:41 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
302373 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: delete battery itemTC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-36205Change-1d:
laa8aba5f415635459a515dd5f28070d93280b7820(cherry picked from commit 60c0c6ae86¢2fd7936d9¢58051186a5cfc470d2b)

#177 - 2023-08-10 20:44 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
302375 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gsintelligence -release_sorp

AF:Settingsintelligence: Fix status bar and navigation bar style problem.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-34488Change-1d:
14b76f8c59e75hb3db6a7372492d4cf8bf136a6d02(cherry picked from commit f0f07bdbb8df7fel7cf773e7f900641849018878)

#178 - 2023-08-14 18:51 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
302924 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix StorageltemPreferenceController NullPointerException. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-39441Change-1d:
11067ed9849b20621bc31ba006c314efead9c65d6(cherry picked from commit 5¢93702467551c0aeec20a232e5f017h2e56247d)

#179 - 2023-08-14 18:52 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
303206 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix PreferenceDialogFragmentCompat lllegalStateException. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-39442Change-1d:
10415d531d9e76a92a7f7fa314c55a79a451e84e5(cherry picked from commit 104014270ef098¢c3e6d91919efh8b3cc47708ae)

#180 - 2023-08-22 18:30 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
305504 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: Adapter style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-40067, IOVDEV-40065Change-1d:
10ccc181684596e287h633600a4e4e28ff3aabf38

#181 - 2023-08-28 11:19 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
306962 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Remove storage usage header in storage usage page. TC-RID: 1201-0201813, IOVDEV-40317Issuel D: TS-R-DF-110739Change-I1d:
1606aed227beld9f2211ac3688301cae98ealfe27

#182 - 2023-08-29 19:08 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
307441 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Remove storage usage header in storage usage page. TC-RID: 1201-0201813, IOVDEV-40317Issuel D: TS-R-DF-110739Change-I1d:
1606aed227be1d9f2211ac3688301cae98ealfe27(cherry picked from commit b319dce3be72beeae49h3c791ace3914a8ab885d)
#183 - 2023-08-29 19:12 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

307173

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Adapter style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-40067, |IOVDEV-40065Change-1d:
10ccc181684596e287h633600a4e4e28ff3aabf38(cherry picked from commit a4c5570e719a38a63d27766fal61ad5fh55999¢7)

#184 - 2023-09-04 17:11 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

309438

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Extend the lifecycle range for Bluetooth brief updates. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-40822Change-1d:
11fc13d07f351036b8c2e5aa12c976b0a808c576f

#185 - 2023-09-07 10:12 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

310278

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ca0qg0702@thundersoft.com

AF:Settings:When loading is slow, add a loading prompt. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-40772Change-1d:
13cde065efe97b3e789a16e8chald379e44049f93

#186 - 2023-09-13 15:17 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

312407

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Remove auto eye protection mode switch and digital assistant. TC-RID: 1201-0201813lssuel D: TS-R-DF-110739Change-1d:
1fe10298¢679e4d41da774fc20018b7bb80d34577

#187 - 2023-09-13 16:13 - 0T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

312372

2025-07-03

general/platform/packages/apps/Settin

Pre_figure_turbox-c2130c-lal.1-gssi12

tao.liao@thundersoft.com

43/68




-dev

AF:Settings: Fix lllegalStateException in AvailableVirtualKeyboardFragment. TC-RID: 1201-02018091ssuelD: TS-R-DF-110739, IOVDEV-42009Change-Id:
16210a57592a58794b085dad867e18fb40a3ch8d2

#188 - 2023-09-14 16:48 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

312813

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings:add develop log for analysis bugadd develop log for analysis bugTC-RID: 1201-0201802IssuelD: TS-R-DF-11073900 IOVDEV-41074Change-Id:
13358657e77¢c508ebfcc7facc67e371dad1d6de48

#189 - 2023-09-14 16:48 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

312810

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings:add develop log for analysis bugadd develop log for analysis bugTC-RID: 1201-0201802Issuel D: TS-R-DF-1107390) IOVDEV-41074Change-Id:
16269a9c7850617dffdbe197121a24f5e6feb7c04

#190 - 2023-09-19 17:51 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

313888

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Remove accessibility button page search.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-3625Change-1d:
16939b5ech62230b1fd3a81bc2e4ddafh49f805a3

#191 - 2023-09-19 17:51 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

313735

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

44/68




AF:Settings: VC1 new Settings UI.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id: 19b8281bd57175e02f2edec6f49d7ab7be46a42el

#192 - 2023-09-19 17:51 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
313757 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | tao.liao@thundersoft.com
-dev

AF:Settings: VC1 new Settings UI.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id: 11b103b7b6f3b44a6dfaff6117868899224a27463

#193 - 2023-09-19 20:07 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
313916 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gsintelligence -dev

AF:Settingsintelligence: VC1 new Settings UI.TC-RID: 1201-0201813lssuelD: TS-R-DF-110739Change-Id: 1f29eb82b1db3alc927fbf7bfec11b83b93c7eded

#194 - 2023-09-20 10:01 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
313923 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

AF:Packagelnstaller: VC1 new Settings UI.TC-RID: 1201-0201813lIssuelD: TS-R-DF-110739Change-Id: 135123a861ee44a75d54af179a0da05¢19125¢cf61

#195 - 2023-09-20 13:43 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
311504 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Add call and TTS volume controller. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739Change-1d: 1f1074e0790b7754163e15300ef423479a79dfcOb

#196 - 2023-09-20 20:02 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

314633 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

2025-07-03 45/68




AF:Settings: VC1 new Settings UL. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 11b103b7b6f3b44a6dfaff6117868899224a27463(cherry picked
from commit ffd93a205769f04998f2f8beal6cfe5813556a39)

#197 - 2023-09-20 20:07 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

314635

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Packagelnstaller: VC1 new Settings UL.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 135123a861ee44a75d54af179a0da05¢19125¢f61(cherry
picked from commit 75284da46c0923cd9ccbb65d5d90b55251aa8bh4)

#198 - 2023-09-20 20:11 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

314641

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: VC1 new Settings UL.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: 19b8281bd57175e02f2edec6f49d7ab7he46a42el(cherry picked
from commit c9d6fea986bbe84414e69ab82a2e7c210ce0805b)

#199 - 2023-09-20 20:13 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

314642

general/platform/packages/apps/Settin

gsintelligence

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:Settingsintelligence: VC1 new Settings UI.TC-RID: 1201-0201813lssuelD: TS-R-DF-110739Change-Id: 1f29eb82b1db3alc927fbf7bf6c11b83b93c7eded(cherry
picked from commit d2f6034feecb77085dcd8d2b408f41a34d85d0e6)

#200 - 2023-09-21 18:04 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

314945

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ca0qg0702@thundersoft.com

2025-07-03

46/68




AF:Settings:When loading is slow, add a loading prompt. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-40772Change-1d:
lcca0548c0743ebfd203a95c6f3e4db07b394d232

#201 - 2023-09-22 14:31 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
315214 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
ermission -dev

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 1389539b2a8da64ed3423eaf077582d02ac133d36

#202 - 2023-09-22 14:31 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
315217 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com
-dev

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id: Ic3alcOe6abd4c2724fe314fe3fc2e7456531b2a6

#203 - 2023-09-22 14:31 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
315219 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: lee3e43ff6d513a43b5b25c66b30851bb5d61e7c3

#204 - 2023-09-24 12:33 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
315575 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -dev

AF:Settings: Replace background resources. TC-RID: 1201-02018061ssuel D: TS-R-DF-110739Change-Id: 1264cf352ebf73c4f0678979d703ch78fb2d237e9

#205 - 2023-09-24 12:34 - |oT scm
Gerrit Merge Information(]

1D Project Branch Uploader
315497 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

2025-07-03 47/68




AF:Settings: Replace background resources. TC-RID: 1201-0201806lssuelD: TS-R-DF-110739Change-Id: 1264cf352ebf73c4f0678979d703ch78fb2d237e9(cherry

picked from commit 16fad795eed1bfc2b8alf252bd7f8ef0ac20bb68)

#206 - 2023-09-24 12:52 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

315500

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
lee3e43ff6d513a43b5b25c66030851bb5d61e7c3(cherry picked from commit 12a14b6774f8ca96c5669a0c37ebdflalleal7d7)

#207 - 2023-09-24 12:52 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

315501

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: Ic3alcOe6abd4c2724fe314fe3fc2e7456531b2a6(cherry
picked from commit 28bf516d163c1f73188a22434644ab99643bc85a)

#208 - 2023-09-24 12:53 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

315502

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
1389539h2a8dab64ed3423eaf077582d02ac133d36(cherry picked from commit 297a66021eb7b3dac9e994b5914fa003740d9922)

#209 - 2023-10-07 11:24 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317140

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

48/68




AF:Settings: Extend the lifecycle range for Bluetooth brief updates. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-40822Change-Id:
11fc13d07f351036b8c2e5aal2c976b0a808c576f(cherry picked from commit ecbce8d8939b9fadff8976028h0da348d3a95857)

#210 - 2023-10-07 11:27 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
317226 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings:When loading is slow, add a loading prompt. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-40772Change-1d:
13cde065efe97b3e789a16e8chald379e44049f93(cherry picked from commit 04a209ab106¢0f19dc59566¢925105f64fd6aec8)

#211 - 2023-10-07 16:52 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
317244 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Remove auto eye protection mode switch and digital assistant. TC-RID: 1201-0201813lssuel D: TS-R-DF-110739Change-1d:
1fe10298c679e4d41da774fc20018b7bb80d34577(cherry picked from commit aaf10236c0dd672ebfd6566de43035e44a9a1090)

#212 - 2023-10-07 16:53 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
317245 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix lllegalStateException in AvailableVirtualKeyboardFragment. TC-RID: 1201-02018091ssuelD: TS-R-DF-110739, IOVDEV-42009Change-Id:
1e210a57592a58794b085dad867e18fb40a3cb8d2(cherry picked from commit aafe8ach6eefl1c6fd9966a75691b3242alfd5ba)

#213 - 2023-10-07 16:54 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
317328 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

2025-07-03 49/68




AF:Settings:add develop log for analysis bugadd develop log for analysis bugTC-RID: 1201-0201802IssuelD: TS-R-DF-11073900 IOVDEV-41074Change-Id:

13358657e77c508ebfcc7facc67e371da91d6ded8(cherry picked from commit 0554hdf485e6b62770b085deadbade24fe1108ea)

#214 - 2023-10-07 16:55 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

317329

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings:add develop log for analysis bugadd develop log for analysis bugTC-RID: 1201-0201802Issuel D: TS-R-DF-11073900 IOVDEV-41074Change-Id:
16269a9¢7850617dffdbe197121a24f5e6feb7c04(cherry picked from commit 67dfdeae2b78058af577365e0afcab321df3fch5)

#215 - 2023-10-07 16:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

317333

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Remove accessibility button page search. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-3625Change-Id:
16939b5ech62230b1fd3a81bc2e4ddafb49f805a3(cherry picked from commit 8e48e39922h71a8c4288d7946¢f1d75f79884455)

#216 - 2023-10-07 17:02 - 0T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

317337

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings:When loading is slow, add a loading prompt. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-40772Change-1d:
lcca0548c0743ebfd203a95c6f3e4db07b394d232(cherry picked from commit f307e29d107d25833f7b15d988ch859¢7404372f)

#217 - 2023-10-08 09:28 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

317375

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

2025-07-03

50/68




AF:Settings: Fix App info not correct defectFix App info not correct defectTC-RID: 1201-0201805IssuelD: TS-R-DF-110739, VXMCE-1150Change-Id:
1d51d0961b6cdbdf11306a57e0e5306ce5d378055

#218 - 2023-10-08 11:05 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

317381

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix VC1 PermissionController Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44554Change-Id:
1c5ed0579b4fh3e593a526594696b58d1d9fd96e3

#219 - 2023-10-08 11:05 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

317382

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Fix VC1 Settings Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44504, |IOVDEV-44507, IOVDEV-44536,
IO0VDEV-44554, IOVDEV-44588, IOVDEV-44829, IOVDEV-44322Change-1d: lef53b7c14f48a6ebe558chbee8fdcOae595aa24a

#220 - 2023-10-08 11:05 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317383

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Fix VC1 Settings Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44536, |IOVDEV-44588Change-1d:
1c373514e2618b08fe8e3db8ed92aefede6ec088d

#221 - 2023-10-08 17:45 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

317548

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-4070Change-Id:
14f5d0alee8e241244b55fc95fb6c9978958f3dab

#222 - 2023-10-09 20:15 - 10T scm

2025-07-03




Gerrit Merge Information(

1D

Project

Branch

Uploader

317939

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix VC1 Settings Ul problem. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44751, IOV-45421Change-1d:
1fd83b19707ae727917649bfee9d340c6254d3520

#223 - 2023-10-10 16:06 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

318151

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fix the alertdialog of round corner Fix the alertdialog of round cornerTC-RID: 1201-0201813Issuel D: TS-R-DF-110739,
|IOVDEV-44858,10VDEV-44749Change-Id: lebe84029dcdd2al66e6fh718a481c1e3915e33f8

#224 - 2023-10-11 16:23 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

318339

general/platform/packages/apps/Settin
gsintelligence

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settingsintelligence: Fix popup menu of round cornerFix popup menu of round cornerTC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
I0VDEV-45419Change-1d: 113eaee943ad1fffdald47a9d4e1476f11335e61c

#225 - 2023-10-12 14:18 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

318602

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Update system gesture animation. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 127€732299607be07f2d54098fc4cc7064ch4d4aa

#226 - 2023-10-12 15:09 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

318493

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

2025-07-03

52/68




AF:Settings: Fix the popup menu of round corner Fix the popup menu of round cornerTC-RID: 1201-0201805IssuelD: TS-R-DF-110739,
IOVDEV-10VDEV-45439Change-Id: le7ch6abb3e45693607607d18782b83d29dh97678

#2217 - 2023-10-12 22:13 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
319109 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix App info not correct defectFix App info not correct defectTC-RID: 1201-0201805IssuelD: TS-R-DF-110739, VXMCE-1150Change-Id:
1d51d0961b6cdbdf11306a57e0e5306ce5d378055(cherry picked from commit b13bc8b3123ef1092aa11b46dc2928¢76103091b)

#228 - 2023-10-12 22:14 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
319110 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
ermission -release_sorp

AF:Settings: Fix VC1 PermissionController Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44554Change-Id:
1c5ed0579b4fb3e593a526594696b58d1d9fd96e3(cherry picked from commit f57747f12254f6a2139d7966aea081a7d9758f34)

#229 - 2023-10-12 22:15 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
319111 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Fix VC1 Settings Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44504, IOVDEV-44507, IOVDEV-44536,
|IOVDEV-44554, IOVDEV-44588, IOVDEV-44829, IOVDEV-44322Change-1d: lef53b7c14f48a6ebe558chbee8fdc0ae595aa24a(cherry picked from commit
fee28abf417543148a8f2081486cd645e07d1f18)

#230 - 2023-10-12 22:16 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader

319112 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp
AF:Settings: Fix VC1 Settings Ul problem.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-44536, IOVDEV-44588Change-Id:
1¢373514e2618b08fe8e3db8ed92aefede6ec088d(cherry picked from commit 8612379b5b284b6a3311fc82¢c5db761fe49eb3ba)

#231 - 2023-10-12 22:18 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

319114

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: VC1 new Settings Ul additational. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-4070Change-Id:
14f5d0alee8e241244b55fc95fb6c9978958f3dab(cherry picked from commit 9f8dfa797091c10fd47e00f8bd1719b065c5355a)

#232 - 2023-10-12 22:25 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

319119

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix VC1 Settings Ul problem. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44751, IOV-45421Change-1d:
1fd83b19707ae727917649bfee9d340c6254d3520(cherry picked from commit 545b2205e778026e11f1ebe8803712370b8514¢ee)

#233 - 2023-10-12 22:32 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

319122

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix the alertdialog of round corner Fix the alertdialog of round cornerTC-RID: 1201-0201813Issuel D: TS-R-DF-110739,
|IOVDEV-44858,10VDEV-44749Change-Id: lebe84029dcdd2a166e6fh718a481c1e3915e33f8(cherry picked from commit
c5fd6463d4f5347411ebbff519651ed7f7e1372a)

#234 - 2023-10-12 22:34 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

319125

general/platform/packages/apps/Settin

gsIntelligence

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-03

54/68




AF:Settingsintelligence: Fix popup menu of round cornerFix popup menu of round cornerTC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
|IOVDEV-45419Change-Id: 113eaee943ad1fffdald47a9d4e1476f11335e61c(cherry picked from commit ef39aa83ac16dc8b6a59e7f7fd9ba0956ae5660b)

#235 - 2023-10-16 15:56 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

319644

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Fix NullPointException in AppInfoBase. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-46278Change-Id:
1fd16b1218a0c0b6e32b1c267c328d6fh4fIb05fa

#236 - 2023-10-16 17:07 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

319699

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix NullPointException in LocalMediaManager.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-46174Change-Id:
11e410264afeb87f3ff47fbe0c49f53cfofc2a704

#237 - 2023-10-18 15:06 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

320401

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fix the popup menu of round cornerTC-RID: 1201-0201805Issuel D: TS-R-DF-110739, IOVDEV-IOVDEV-45439Change-I1d:
1750ch780a206b8d6d8a63b798ec6ced276f83925

#238 - 2023-10-18 15:30 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

309801

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:Settings: show auto time when debug modeTC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 12588c5df7e93ec041c14c8f9394c5788940daff4

2025-07-03

55/68




#239 - 2023-10-19 10:53 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

320598

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fix VC1 PermissionController Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44858,10VDEV-44749Change-1d:
1d666d5d2c25d62ea705b18f453abdb9a7f71bale

#240 - 2023-10-19 11:24 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

320708

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: MCE new Settings UI.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 1976d2ba85ab04c712c21c71a7162984550da3203

#241 - 2023-10-19 11:24 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

320709

general/platform/packages/apps/Settin
gsintelligence

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: MCE new Settings UL.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 1f2049cef32edf347a15c34eb3056ba45919a662a

#242 - 2023-10-19 11:24 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

320705

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: MCE new Settings UL.TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-1d: 1a8efa55ff883a621967d7ch480cchc82b3e7aadd

#243 - 2023-10-19 11:25 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

320706

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

56/68




AF:Settings: MCE new Settings UL.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 1093d8a230ed22923451364257f1d2b6675639cc2

#244 - 2023-10-19 16:36 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
320881 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Skip change fragment when last change action is not completed.Remove monkey launch category. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
IOVDEV-42864Change-1d: 1445ef3c76f88199e33441chcd9f2d6176c3e0eb5

#245 - 2023-10-19 16:44 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
320829 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
gs -dev

AF:Settings: fix settings toolbar navigation bar stylethe navigation bar style was affect by last modify popup menu of round corner background. so , now we fix this
defect. TC-RID: 1201-0201813lIssuel D: TS-R-DF-110739, IOVDEV-44858,10VDEV-44749Change-Id: 135b83d9a27d84eh9%efaad98459c9e313c35c1a94

#246 - 2023-10-23 16:07 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
321858 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
-dev

AF:Packagelnstaller: Adapter dialog style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44858,|0VDEV-44749Change-Id:
14b79ac63cdde3de0ef2b7a829f6273f366c5339f

#247 - 2023-10-23 16:19 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
321810 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:Settings: Replace the default wallpaper resources. TC-RID: 1201-0201813Issuel D: TS-R-DF-110739Change-Id: 1956dbe386ea3e5ca33b7fff15595fa9e5e7027de

#248 - 2023-10-23 17:43 - 10T scm

2025-07-03 57/68



Gerrit Merge Information(

1D

Project

Branch

Uploader

321909

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Replace background resources for MCE.TC-RID: 1201-0201806IssuelD: TS-R-DF-110739Change-Id: 153bd95d4c43b69da878efc3ac103e00fb7f25¢31

#249 - 2023-10-23 17:43 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

321908

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

caoqg0702@thundersoft.com

AF:Settings: Replace the default wallpaper resources for MCE.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
17dfc8a55cd7efa8d4c42ce831acd91742646d6fa

#250 - 2023-10-27 01:25 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323282

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Update system gesture animation. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
127€732299607be07f2d54098fc4cc7064ch4ddaa(cherry picked from commit a5553cac492d321d73c4c074h2659d4de5e81bdf)

#251 - 2023-10-27 01:27 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323284

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Add call and TTS volume controller. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739Change-Id:
1£1074e0790b7754163e15300ef423479a79dfcOb(cherry picked from commit 349b9e5773f88f117285f6e4997f3afb9ad51ed5)

#252 - 2023-10-27 01:29 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

323286

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-03
AF:Settings: Fix the popup menu of round corner Fix the popup menu of round cornerTC-RID: 1201-0201805IssuelD: TS-R-DF-110739,
|IOVDEV-I0OVDEV-45439Change-Id: le7ch6a6b3e45693607607d18782b83d29db97678(cherry picked from commit
leec42a5c66f3864a2134619eb62c7ad00c8663e)

#253 - 2023-10-27 01:40 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323294

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix NullPointException in AppInfoBase. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-46278Change-Id:
1fd16b1218a0c0b6e32b1c267¢328d6fh4f9b05fa(cherry picked from commit 7634dba015412bc9a5ab2667a81e53286778fh61)

#254 - 2023-10-27 01:40 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323295

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix NullPointException in LocalMediaManager.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-46174Change-Id:
11e410264afeb87f3ff47fbe0cd9f53cfofc2a704(cherry picked from commit fab9a22¢c267ee991e18d14feb777238f3b44190f)

#255 - 2023-10-27 01:48 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323302

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix the popup menu of round cornerTC-RID: 1201-0201805Issuel D: TS-R-DF-110739, IOVDEV-IOVDEV-45439Change-I1d:
1750cb780a206b8d6d8a63b798ec6eed276f83925(cherry picked from commit f9fc056136a81a7538313355bac85201c24aec3d)

#256 - 2023-10-27 01:48 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323303

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-03
AF:Settings: show auto time when debug modeTC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d:
12588¢5df7e93ec041c14c8f9394c5788940daff4(cherry picked from commit 7e28eb86cdb6227e268635620365a9fa5¢50d254)

#257 - 2023-10-27 01:49 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
323305 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
ermission -release_sorp

AF:Settings: Fix VC1 PermissionController Ul problem.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44858,10VDEV-44749Change-1d:
1d666d5d2c25d62ea705b18f453abdb9a7f71bale(cherry picked from commit c9af4f4b7b6cd00f2b663d8124e075567043b44a)

#258 - 2023-10-27 01:50 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
323306 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: MCE new Settings UI.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 1976d2ba85ab04c712c21c71a7162984550da3203(cherry picked
from commit 085a8a629bd174cbal26¢2b71f03eb80ee2ch5h1)

#259 - 2023-10-27 01:50 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
323307 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gsintelligence -release_sorp

AF:Settings: MCE new Settings UI.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-1d: 1f2049cef32edf347a15¢34eb3056ba45919a662a(cherry picked
from commit 9726a9c20673ef6fh47c7a180b473dcal041641)

#260 - 2023-10-27 01:51 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
323308 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
ermission -release_sorp
AF:Settings: MCE new Settings UL.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 1a8efa55ff883a621967d7ch480cchc82b3e7aadd(cherry picked
from commit b4001b430b2b0b669fed6f6bb31cd1chf70fd073)

#261 - 2023-10-27 01:51 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

323309 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Settings: MCE new Settings UL. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id: 1093d8a230ed22923451364257f1d2b6675639cc2(cherry picked
from commit fae3cda2dd3fd81df5cee6e2f4ea0548¢5943a26)

#262 - 2023-10-27 01:53 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
323312 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Skip change fragment when last change action is not completed.Remove monkey launch category. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739,
|IOVDEV-42864Change-Id: 1445ef3c76f88199e33441chbcd9f2d6176¢c3e0eb5(cherry picked from commit 2c8981ea0d1174546¢058040ac8278376¢d98350)

#263 - 2023-10-27 01:53 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
323313 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: fix settings toolbar navigation bar stylethe navigation bar style was affect by last modify popup menu of round corner background. so , now we fix this
defect. TC-RID: 1201-0201813lIssuel D: TS-R-DF-110739, IOVDEV-44858,10VDEV-44749Change-Id: 135b83d9a27d84ebh9efaa998459c9e313c35c1ad4(cherry
picked from commit a5¢241901b11cfbd050476bddb5ac289141a0fe9)

#264 - 2023-10-27 02:08 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader

323324 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

2025-07-03 61/68




AF:Packagelnstaller: Adapter dialog style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44858,I0VDEV-44749Change-1d:
14b79ac63cdde3deOef2b7a829f6273f366¢5339f(cherry picked from commit 1c1dd34d12529ed7cdOaeba7933273da5adae329)

#265 - 2023-10-27 02:09 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader

323325 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Settings: Replace the default wallpaper resources. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
1956dbe386ea3e5ca33b7fff15595fa%e5e7027de(cherry picked from commit fe37eb204b315b9bec076ffdd67f6a3b8c9dc029)

#266 - 2023-10-27 02:10 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
323327 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Replace background resources for MCE.TC-RID: 1201-0201806IssuelD: TS-R-DF-110739Change-Id:
153bd95d4c43b69da878efc3ac103e00fb7f25¢31(cherry picked from commit efc206077fad9417d22ee2fb28c878551c6a81df)

#267 - 2023-10-27 02:10 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

323328 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com

-release_sorp

AF:Settings: Replace the default wallpaper resources for MCE.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739Change-Id:
17dfc8a55cd7efa8d4c42ce831acd91742646d6fa(cherry picked from commit 8f47¢33a99c7286a67d784f4b0de7befdb68c4f5)

#268 - 2023-10-27 09:17 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
322913 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
-dev

2025-07-03 62/68




AF:Settings: the background is white when switch input methodTC-RID: 1201-0201813Issuel D: TS-R-DF-110739, IOVDEV-44858,|0VDEV-44749Change-1d:
1d79012cdfec47c75dce985ce210c80b144f196a8

#269 - 2023-10-31 19:23 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader

324482 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:Settings: the background is white when switch input methodTC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44858,I0VDEV-44749Change-1d:
1d79012cdfec47c75dce985ce210c80b144f196a8(cherry picked from commit 63f4dadffc82f586b1ceace24f5072¢550015363)

#270 - 2023-11-09 16:32 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
326990 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: delete media output item.TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-45511Change-Id:
110847106986ffdae5a84850ba444647f501fface

#271 - 2023-11-10 16:28 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
327364 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
ermission -dev

AF:Settings: Remove the Open Link item. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVVC1-4119Change-1d:
19f9540fdadb0657d09cd264837a8b1f32be059d9

#272 - 2023-11-10 16:28 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
327366 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
gs -dev

AF:Settings: Remove the Open Link item. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-4119Change-Id:
lda7194ba79f3e03de487a2a564a6457c4a8ccead

2025-07-03 63/68



#273 - 2023-11-1017:09 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
327360 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

AF:Settings: Fix bluetooth connect toast problem.TC-RID: 1201-0201801IssuelD: TS-R-DF-110739, IOVDEV-41395Change-Id:
109¢16199f860b1cc0f30e06541892a406ff96b70

#274 - 2023-11-14 14:05 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
328009 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Modify activity default window soft input mode. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-37095Change-I1d:
1bac793c32d9c1bdce0ab544f6d042ca08277df93

#275 - 2023-11-20 13:41 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
329054 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: delete media output item. TC-RID: 1201-0201805IssuelD: TS-R-DF-110739, IOVDEV-45511Change-1d:
110847106986ffdae5a84850ba444647f501fface(cherry picked from commit 8b5064309a293b23a52able3c7aa24504bc17456)

#276 - 2023-11-20 13:45 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
329419 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
ermission -release_sorp

AF:Settings: Remove the Open Link item. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-4119Change-Id:
19f9540fdadb0657d09cd264837a8b1f32be059d9(cherry picked from commit d07605e29d8d4ac0bef7613h9f60290553005730)

#2177 - 2023-11-20 13:46 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

2025-07-03 64/68




329420

general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

gs

-release_sorp

AF:Settings: Remove the Open Link item.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, PVC1-4119Change-Id:
1da7194ba79f3e03de487a2a564a6457c4a8ccead(cherry picked from commit fdd227f848¢2560800f6df3710b9f201db9f56b8)

#2178 - 2023-11-20 13:47 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

329421

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix bluetooth connect toast problem. TC-RID: 1201-0201801IssuelD: TS-R-DF-110739, IOVDEV-41395Change-Id:
109¢16199f860b1cc0f30e06541892a406ff96b70(cherry picked from commit 5bc68682ec3be5700d766b3e1604f5d048c3150e)

#279 - 2023-11-20 13:53 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

329427

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Modify activity default window soft input mode.TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-37095Change-1d:
1bac793c32d9c1bdce0a5544f6d042ca08277df93(cherry picked from commit 54d88ffacab4aaaa9544d530ee86dc54e438c040)

#280 - 2023-11-20 16:33 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

329488

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Packagelnstaller: Adapter uninstall dialog style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44850Change-1d:
16644f87803b0801622cd13ch0a75f3dbed456898

#281 - 2023-11-23 20:11 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

330685

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-03

65/68




AF:Packagelnstaller: Adapter uninstall dialog style. TC-RID: 1201-0201813IssuelD: TS-R-DF-110739, IOVDEV-44850Change-1d:
16644f87803b0801622cd13ch0a75f3dbed456898(cherry picked from commit 14f0b69080e315489e362be52ad8adf3934526f3)

#282 - 2023-12-12 16:02 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

335507

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Fix hotseat option check status problem.Add logs to keep track; TC-RID: 1201-02018061ssuel D: TS-R-DF-110739, IOVDEV-49729Change-1d:
19158f24cd28472e92be28425f6580904abc44efc

#283 - 2023-12-15 14:23 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

336604

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Fix hotseat option check status problem.Add logs to keep track; TC-RID: 1201-02018061ssuel D: TS-R-DF-110739, IOVDEV-49729Change-1d:
19158f24cd28472e92be28425f6580904abc44efc(cherry picked from commit 50f24d04bb7177ae06728251e280fd28e97ce93a)

#284 - 2023-12-18 15:13 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

337261

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:Settings: Disable ASSISTANT and DIALER role.Adapter default application list icon size. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739,
I0VDEV-50421Change-Id: 1ffdf771903390e7644d6565380abacf5a914042¢c

#285 - 2023-12-18 15:13 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

337260

general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

66/68




AF:Settings: Adapter default application list icon size.Adapter alert dialog style. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739, IOVDEV-50421Change-1d:
1658490536aaeb36da87c6994d7723621190ff2fb

#286 - 2023-12-19 11:50 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
337413 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
gs -release_sorp

AF:Settings: Disable ASSISTANT and DIALER role.Adapter default application list icon size. TC-RID: 1201-0201802IssuelD: TS-R-DF-110739,
I0VDEV-50421Change-1d: Iffdf771903390e7644d6565380abacf5a914042c(cherry picked from commit d12983f47889¢9008d1da432ee2599c2421c7245)

#287 - 2023-12-19 11:50 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
337414 general/platform/packages/modules/P | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
ermission -release_sorp

AF:Settings: Adapter default application list icon size.Adapter alert dialog style. TC-RID: 1201-0201802Issuel D: TS-R-DF-110739, IOVDEV-50421Change-1d:
1658490536aaeb36da87¢c6994d7723621190ff2fb(cherry picked from commit baefefd80ec16c0e3fablad6c47984b2fbdcf401)

#288 - 2024-01-29 09:33 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
348781 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

AF:Settings: Fix gestures navigation edge settings dialog style.1. Fix gestures navigation edge settings dialog style; TC-RID: 1201-0201809IssuelD: TS-R-DF-110739,
QMV-3630Change-1d: 1e696d5b3366a32ab578c1207hb272a22879d41d68

#289 - 2024-01-31 15:02 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
349772 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gs -dev

2025-07-03 67/68




AF:Settings: Fix BluetoothPairingDialog pointerexception crash.1. Fix BluetoothPairingDialog pointerexception crash; TC-RID: 1201-0201801IssuelD:
TS-R-DF-110739, HHIOV-14149Change-1d: Iccfdb6bd3a0f8374fabe1a6694d1b04498085473

2025-07-03 68/68



